org.apache.solr.search.facet

## Enum FacetRequest.RefineMethod

- java.lang.Object
- - java.lang.Enum<FacetRequest.RefineMethod>
  - - org.apache.solr.search.facet.FacetRequest.RefineMethod

- All Implemented Interfaces:
    Serializable, Comparable<FacetRequest.RefineMethod>
  Enclosing class:
    FacetRequest

      public static enum FacetRequest.RefineMethod
      extends Enum<FacetRequest.RefineMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `SIMPLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacetRequest.RefineMethod` | `fromObj(Object method)`
    `static FacetRequest.RefineMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetRequest.RefineMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FacetRequest.RefineMethod NONE

    - #### SIMPLE

          public static final FacetRequest.RefineMethod SIMPLE

  - ### Method Detail

    - #### values

          public static FacetRequest.RefineMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetRequest.RefineMethod c : FacetRequest.RefineMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetRequest.RefineMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromObj

          public static FacetRequest.RefineMethod fromObj(Object method)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.